import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/sign_in_sign_out_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/sign_in_sign_out_entity.g.dart';

@JsonSerializable()
class SignInSignOutEntity {
	List<SignInSignOutRows>? rows = [];

	SignInSignOutEntity();

	factory SignInSignOutEntity.fromJson(Map<String, dynamic> json) => $SignInSignOutEntityFromJson(json);

	Map<String, dynamic> toJson() => $SignInSignOutEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class SignInSignOutRows {
	@JSONField(name: "applied_id")
	String? appliedId;
	@JSONField(name: "staff_name")
	String? staffName;
	@JSONField(name: "job_date")
	String? jobDate;
	@JSONField(name: "start_time")
	String? startTime;
	@JSONField(name: "end_time")
	String? endTime;
	@JSONField(name: "in_time")
	String? inTime;
	@JSONField(name: "in_photo")
	String? inPhoto;
	@JSONField(name: "out_time")
	String? outTime;
	@JSONField(name: "out_photo")
	String? outPhoto;

	bool isExpended = false;  //是否展开了

	SignInSignOutRows();

	factory SignInSignOutRows.fromJson(Map<String, dynamic> json) => $SignInSignOutRowsFromJson(json);

	Map<String, dynamic> toJson() => $SignInSignOutRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}